Bug 342265

Summary: Syntax highlight definition for Xonotic configuration files
Product: [Applications] kate Reporter: Dávid Andor <david-andor>
Component: syntaxAssignee: KWrite Developers <kwrite-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist CC: christoph
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Other   
OS: All   
Latest Commit: Version Fixed In:
Attachments: Xonotic console - language definition XML

Description Dávid Andor 2014-12-27 23:58:27 UTC
Xonotic is an FPS game based on the Quake3 engine, but there is a lot of enhancement, therefore the "idconsole.xml" -> "Quake Script" syntax highlight definition is not fits very well for the Xonotic configuration files.

I extended the following sections:
* /language/highlighting/list[name="Commands"] 
* /language/highlighting/list[name="Variables"]
* /language/highlighting/list[name="Aliases"]

The rest of the idconsole.xml file is basically untouched.
Here is the new file language definition file:
http://pastebin.com/Zdc8QR0d

There are some problem with the "string" context :-(
The following line is highlighted on a wrong way:
"valid_var_name" "foo"

but this is correct
valid_var_name "foo"

http://www.xonotic.org

Reproducible: Always
Comment 1 Dávid Andor 2014-12-28 15:25:55 UTC
Created attachment 90140 [details]
Xonotic console - language definition XML
Comment 2 Christoph Cullmann 2015-08-01 17:06:57 UTC
Are you OK with licensing the file under LGPLv2+?
Comment 3 Dávid Andor 2015-08-01 19:15:08 UTC
> Are you OK with licensing the file under LGPLv2+?
Yes.
Comment 4 Christoph Cullmann 2015-08-01 20:29:44 UTC
Git commit 7961dcbea4b330420a24f436e503d85d119a9c0b by Christoph Cullmann.
Committed on 01/08/2015 at 20:28.
Pushed by cullmann into branch 'master'.

add hl for Xonotic
thanks to Dávid Andor
sorry for the > half year wait :/

A  +5659 -0    src/syntax/data/xonotic-console.xml

http://commits.kde.org/ktexteditor/7961dcbea4b330420a24f436e503d85d119a9c0b